
UserScript =
{
    name: "MaintenanceMode",
    enabled: true,

    // Set this property to true to enable the script
    onEvent: true,
    delay: 0,

    // This property can be used to delay first execution of the script
    interval: 10000,

    // and every 10s from that
   
	action: function () // Script action definition
    	{
      
  	
		//IP or Name of SCVMM Server
		var VMMServer = "<IP address/Hostname of SCVMM Server>"; 
       
        
		//From here provide the information about hyper-v Host that needs to be 
	        //put in Maintainance mode along with UPS information
        	// Here we can configure N number of SCVMM hosts and UPS
	        // Following hyper-v host must be present in SCVMM console. 
        
		//--------------------START SETUP 1 ------------------------------
	        //--------------------HOST1/UPS 1 ------------------------------

	        //Information about hyper-v host and its corrospoding UPS 
	        var host1 = "<Hostname/IP address of hyper-v host>"; // the name of the hyper-v host (IP or Name)

	        //The UPS1 link to the Host1
        	var statusUPS1 = UserFunctions.getNodeData("<IP address of node in IPM>"); //Name of the Node in IPM (IP,DNSName or other)

		//time in minutes
		var timetowait = <Time in minutes>; 
		//if the status of the UPS1 is on Battery, the Host1 enter in maintenance mode
        	if (statusUPS1 && statusUPS1["UPS.PowerSummary.PresentStatus.ACPresent"] != 1)
        	{
				UserFunctions.exec("powershell  Set-ExecutionPolicy UnRestricted");
				var cmd_mm = "powershell ./maintenancemode_scvmm.ps1 -VMMServerName " + VMMServer + " -VMHost " + host1 + " -waittime " + timetowait + " -IsStartMaintenance 1"
				UserFunctions.exec("bin/virt_tools/executeapp " + cmd_mm);

	        }        
        	//if the status of the UPS1 is on the sector, the Host1 exit the maintenace mode
	        else if (statusUPS1["UPS.PowerSummary.PresentStatus.ACPresent"] == 1)
        	{
            		UserFunctions.exec("powershell  Set-ExecutionPolicy UnRestricted");
			var cmd_mm = "powershell ./maintenancemode_scvmm.ps1 -VMMServerName " + VMMServer + " -VMHost " + host1 + " -waittime " + timetowait + " -IsStartMaintenance 0"
			UserFunctions.exec("bin/virt_tools/executeapp " + cmd_mm);
	        }
	}
	
}